com.pixelmed.test

## Class TestCTDoseAcquisition

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestCTDoseAcquisition

All Implemented Interfaces:
  junit.framework.Test

    public class TestCTDoseAcquisition
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestCTDoseAcquisition(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_Axial()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_AxialOnePosition()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_Equality()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_Helical()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_MatchForMerge()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_StationaryBasedOnZeroPitchInAcquisitionParameterChildren()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_WithAcquisitionParameterChildren()`
`void` `TestCTDoseAcquisitionConstructor_WithAllParameters_WithEntireAcquisitionParameterMerge()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestCTDoseAcquisition

    public TestCTDoseAcquisition(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_Helical

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_Helical()
                                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_Axial

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_Axial()
                                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_AxialOnePosition

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_AxialOnePosition()
                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_WithAcquisitionParameterChildren

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_WithAcquisitionParameterChildren()
                                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_StationaryBasedOnZeroPitchInAcquisitionParameterChildren

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_StationaryBasedOnZeroPitchInAcquisitionParameterChildren()
                                                                                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_Equality

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_Equality()
                                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_MatchForMerge

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_MatchForMerge()
                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCTDoseAcquisitionConstructor_WithAllParameters_WithEntireAcquisitionParameterMerge

    public void TestCTDoseAcquisitionConstructor_WithAllParameters_WithEntireAcquisitionParameterMerge()
                                                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`